Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153141 - CAN-2005-0524 PHP getimagesize() Multiple Denial of Service Vulnerabilities CAN-2005-0525
Summary: CAN-2005-0524 PHP getimagesize() Multiple Denial of Service Vulnerabilities C...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard: impact=moderate,public=20050331,repor...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-01 20:01 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 4.3.11-2.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-19 07:54:53 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-04-01 20:01:51 UTC
+++ This bug was initially created as a clone of Bug #153140 +++

Remote exploitation of multiple denial of service vulnerabilities in
the PHP Group's PHP scripting language allows attackers to consume CPU
resources. The vulnerable routines, php_handle_iff() and
php_handle_jpeg(), are reachable from the PHP function getimagesize(),
which is defined as follows:

    array getimagesize ( string filename [, array &imageinfo] )

More information is here:
http://www.idefense.com/application/poi/display?id=222&type=vulnerabilities

Comment 1 Josh Bressers 2005-04-01 20:02:58 UTC
These issues should also affect FC2

Comment 2 Joe Orton 2005-04-19 07:54:53 UTC
Fixed in 4.3.11 update, thanks for the report:

http://www.redhat.com/archives/fedora-announce-list/2005-April/msg00033.html




Note You need to log in before you can comment on or make changes to this bug.